---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: inspections-backend
  namespace: inspections
spec:
  template:
    spec:
      containers:
      - name: inspections-backend
        image: cr.yandex/crp3ccidau046kdj8g9q/sarex-inspections:production_5fcce90d
        env:
        - name: DEBUG
          value: 'false'
        - name: SERVICE_URL
          value: https://srx.wb.ru
        - name: HTTP_APP_HOST
          value: 0.0.0.0
        - name: HTTP_APP_PORT
          value: '8000'
        - name: HTTP_APP_ROOT_PATH
          value: /inspections
        - name: HTTP_APP_WORKERS
          value: '3'
        - name: HTTP_APP_ADMIN_ENABLE
          value: 'true'
        - name: KAFKA_SSL_CAFILE
          value: /usr/local/share/ca-certificates/Yandex/YandexInternalRootCA.crt
        - name: KAFKA_EAV_ASSETS_TOPIC
          value: assets_broadcast
        - name: JWT_AUTH_ENABLE
          value: 'true'
        - name: NOTIFICATIONS_ENABLE
          value: 'true'
        - name: NOTIFICATIONS_EMAIL_FROM
          value: hello@sarex.io
        - name: SAREX_BACKEND_URL
          value: https://srx.wb.ru
        - name: SAREX_BACKEND_TIMEOUT
          value: '30'
        - name: EAV_URL
          value: http://eav-service.eav
        - name: EAV_TIMEOUT
          value: '30'
        - name: WORKFLOWS_URL
          value: http://workflows-service.processing-prod
        - name: WORKFLOWS_TIMEOUT
          value: '30'
        - name: WORKFLOWS_EMAIL_DOCKER_IMAGE
          value: cr.yandex/crp3ccidau046kdj8g9q/notification:email
        - name: MOBILE_APP_CURRENT_VERSION
          value: 1.0.0
        - name: MOBILE_APP_RECOMMENDED_VERSION
          value: 1.0.0
        - name: MOBILE_APP_REQUIRED_VERSION
          value: 1.0.0
        - name: MAILER_URL
          value: http://mailer-service.mailer:8000
        - name: MAILER_TIMEOUT
          value: '30'
